Create order
POST/v1/orders
Pushes a new order into Otter for the store identified by the X-Store-Id header. Used by ordering marketplaces and other order sources when a customer places an order.
Provide the order's line items, fulfillment information, customer payments, and exactly one financial breakdown — orderTotal (V1) or orderTotalV2 (V2). New integrations should prefer orderTotalV2. All monetary values use the major unit of the order's currencyCode.
The response returns the order reference (Otter id, friendlyId, and storeId) you can use to correlate and update the order later.
RATE LIMIT: 32 per minute
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 422
The order was successfully created.
The request is malformed.
Invalid authorization.
Authorization not valid for the requested resource.
Resource not found.
The request body is not valid.